### Method

# Atk Document get_locale

deprecated: 2.7.90

#### Declaration [src]

    const gchar*
    atk_document_get_locale (
      AtkDocument* document
    )

#### Description [src]

Gets a UTF-8 string indicating the POSIX-style LC_MESSAGES locale of the content of this document instance. Individual text substrings or images within this document may have a different locale, see atk_text_get_attributes and atk_image_get_image_locale.

Deprecated since: 2.7.90

Please use `atk_object_get_object_locale()` instead.

#### Return value

Type: `const gchar*`

A UTF-8 string indicating the POSIX-style LC_MESSAGES locale of the document content as a whole, or NULL if the document content does not specify a locale.

The returned data is owned by the instance.
The value is a NUL terminated UTF-8 string.